Skip to main content
POST
/
api
/
projects
/
beta
/
projects
/
{projectId}
/
commits
/
resolveGitRef
Resolve a git reference to a commit SHA
curl --request POST \
  --url https://api.example.com/api/projects/beta/projects/{projectId}/commits/resolveGitRef \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "value": "<string>"
}
'
{
  "commitId": "<string>",
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>"
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

projectId
string
required

Project ID

Body

application/json

Git reference to resolve

refType
enum<string>
required

The type of git reference.

Available options:
head,
commitId,
branches,
tags,
custom
value
string

The value of the git reference (e.g. branch name, tag name, or commit SHA).

Response

Success

commitId
string
required

The resolved git commit SHA.

metadata
object
required